> ## Documentation Index > Fetch the complete documentation index at: https://docs.plainid.io/llms.txt > Use this file to discover all available pages before exploring further. # Delete Asset Template > This DELETE API is designed to support DELETE Operations in Asset Templates in the indicated Environment.

Notice

Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://api.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

    Headers

    *Required
    Header Value cURL Line
    Accept `application/json` `-H "Accept:application/json"`

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

    ## OpenAPI ````json DELETE /api/1.0/asset-templates/{envId}/{assetTemplateId} { "openapi": "3.0.3", "info": { "title": "Management APIs", "version": "1.0.0", "contact": { "name": "PlainID", "url": "https://plainid.com", "email": "contact@plainid.com" }, "license": { "name": "Commercial", "url": "https://plainid.com/license" }, "termsOfService": "https://www.plainid.com/terms/", "description": "

    The PlainID Authorization Platform provides Management capabilities through the APIs below.

    To access the Management APIs, make sure to enter your dedicated domain according to your PlainID Tenant Location:
    RegionBase URL
    United States (US)https://api.us1.plainid.io
    Canada (CA)https://api.ca1.plainid.io
    Europe (EU)https://api.eu1.plainid.io
    Local PAAhttps://api.plainid.local
    " }, "servers": [ { "description": "United States", "url": "https://api.us1.plainid.io" }, { "description": "Europe", "url": "https://api.eu1.plainid.io" }, { "description": "Canada", "url": "https://api.ca1.plainid.io" }, { "description": "Local PAA", "url": "https://api.plainid.local" } ], "paths": { "/api/1.0/asset-templates/{envId}/{assetTemplateId}": { "delete": { "summary": "Delete Asset Template", "operationId": "deleteAssetTemplate", "security": [ { "bearerAuth": [] } ], "description": "This DELETE API is designed to support DELETE Operations in Asset Templates in the indicated Environment.

    \n

    Notice

    Accessing the API call is through a dedicated domain/URL, according to your PlainID Tenant Location
  • United States (US) - `https://api.us1.plainid.io`
  • Canada (CA) - `https://api.ca1.plainid.io`
  • Europe (EU) - `https://api.eu1.plainid.io`

  • Using HTML Encoded Special Characters

    Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this HTML URL Encoding Reference for a full list.


    Important note about headers

    Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.

    Headers

    *Required \n
    Header Value cURL Line
    Accept `application/json` `-H \"Accept:application/json\"`

    cURL Sample Guidelines

    In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

    ", "tags": [ "Asset Template" ], "parameters": [ { "name": "envId", "in": "path", "required": "true", "schema": { "type": "string", "format": "uuid" }, "description": "The Environment ID can be found under the Details Tab in the Environment Settings." }, { "name": "assetTemplateId", "in": "path", "required": "true", "schema": { "type": "string" }, "description": "The Asset Template ID" } ], "responses": { "204": { "description": "Successful operation", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } }, "401": { "description": "Unauthorized", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } }, "403": { "description": "Forbidden", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } }, "404": { "description": "Object not found", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } }, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorResponse" }, "examples": { "validationError": { "$ref": "#/components/examples/assetTemplateNotFound" } } } } }, "500": { "description": "Internal Server Error", "headers": { "x-request-id": { "schema": { "type": "string", "format": "uuid" }, "description": "The ID of the request" } } } } } } }, "components": { "schemas": { "ErrorResponse": { "type": "object", "properties": { "code": { "type": "string" }, "message": { "type": "string" }, "details": { "type": "string" } } } }, "examples": { "assetTemplateNotFound": { "value": { "errors": [ { "code": "ATV-001", "id": "EQ7CMX", "status": "404", "name": "AssetTemplateNotFoundError", "message": "Asset Template: [non-existing-id] not found in Environment: [2d4a0591-dfe4-45fb-8a69-d183f5c75c0d]" } ] } } } } } ````